local text = [[
So you're the new guy, eh? Hi, I'm Bob. Mr. Ji told me to get you started. Ever programmed one of our bots before? It's not quite low level, but that's how you have to do it when space is limited. What's that? No, of course you won't deal with the real thing for now. But even then, most of your time will be spent in the simulator.

If you look at the screen you'll see I have prepared an easy introductory scenary for you. For now you just have to make the bot move forward. You can do that with two elements, the constant signal source and the move instruction. I'll be off for lunch, but you can ask Carl if you need any help with that. If you see him around that is.
]]

local function dialog(self, gui, X,Y,W,H)
	X,Y,W,H = X+3,Y+3,W-6,H-6
	love.graphics.setFont(Font.normal[20])
	gui.Label('Welcome to NaMa Tek', X+5, Y)

	love.graphics.setFont(Font.normal[12])
	gui.core.registerDraw({}, function() love.graphics.printf(text, X+5,Y+52,W-15) end)

	if gui.Button('ok',X+W-75,Y+H-27, 70,22) then
		self.dialog = false
		--Config.hide_dialog[1] = true
	end

	gui.ImageButton(Image.Source,         X+40, Y+H-106, 32,32)
	gui.ImageButton(Image.move,           X+40, Y+H- 60, 32,32)
	gui.Label('Constant signal, source',  X+82 ,Y+H-106+7)
	gui.Label('Move instruction',         X+82 ,Y+H- 60+7)
end

return {dialog = dialog, ["exit"]={["y"]=5,["x"]=20,},
["bot"]={["pos"]={["y"]=5,["x"]=1,},
},
["items"]={["(13,2)"]={["number"]=14,["pos"]={["y"]=2,["x"]=13,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(13,2)",},
["(6,8)"]={["number"]=35,["pos"]={["y"]=8,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,8)",},
["(19,6)"]={["number"]=22,["pos"]={["y"]=6,["x"]=19,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(19,6)",},
["(18,6)"]={["number"]=23,["pos"]={["y"]=6,["x"]=18,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(18,6)",},
["(4,3)"]={["number"]=4,["pos"]={["y"]=3,["x"]=4,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(4,3)",},
["(17,7)"]={["number"]=24,["pos"]={["y"]=7,["x"]=17,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(17,7)",},
["(12,8)"]={["number"]=28,["pos"]={["y"]=8,["x"]=12,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(12,8)",},
["(15,3)"]={["number"]=15,["pos"]={["y"]=3,["x"]=15,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(15,3)",},
["(14,8)"]={["number"]=27,["pos"]={["y"]=8,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,8)",},
["(8,9)"]={["number"]=34,["pos"]={["y"]=9,["x"]=8,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(8,9)",},
["(20,6)"]={["number"]=21,["pos"]={["y"]=6,["x"]=20,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(20,6)",},
["(5,4)"]={["number"]=5,["pos"]={["y"]=4,["x"]=5,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(5,4)",},
["(19,4)"]={["number"]=19,["pos"]={["y"]=4,["x"]=19,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(19,4)",},
["(13,8)"]={["number"]=30,["pos"]={["y"]=8,["x"]=13,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(13,8)",},
["(11,9)"]={["number"]=29,["pos"]={["y"]=9,["x"]=11,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(11,9)",},
["(7,4)"]={["number"]=7,["pos"]={["y"]=4,["x"]=7,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(7,4)",},
["(2,7)"]={["number"]=39,["pos"]={["y"]=7,["x"]=2,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(2,7)",},
["(2,3)"]={["number"]=2,["pos"]={["y"]=3,["x"]=2,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(2,3)",},
["(10,2)"]={["number"]=10,["pos"]={["y"]=2,["x"]=10,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(10,2)",},
["(5,8)"]={["number"]=36,["pos"]={["y"]=8,["x"]=5,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(5,8)",},
["(3,3)"]={["number"]=3,["pos"]={["y"]=3,["x"]=3,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(3,3)",},
["(1,7)"]={["number"]=40,["pos"]={["y"]=7,["x"]=1,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(1,7)",},
["(3,7)"]={["number"]=38,["pos"]={["y"]=7,["x"]=3,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(3,7)",},
["(10,9)"]={["number"]=31,["pos"]={["y"]=9,["x"]=10,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(10,9)",},
["(7,9)"]={["number"]=33,["pos"]={["y"]=9,["x"]=7,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(7,9)",},
["(11,2)"]={["number"]=11,["pos"]={["y"]=2,["x"]=11,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(11,2)",},
["(15,8)"]={["number"]=26,["pos"]={["y"]=8,["x"]=15,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(15,8)",},
["(14,2)"]={["number"]=13,["pos"]={["y"]=2,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,2)",},
["(16,7)"]={["number"]=25,["pos"]={["y"]=7,["x"]=16,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(16,7)",},
["(12,2)"]={["number"]=12,["pos"]={["y"]=2,["x"]=12,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(12,2)",},
["(9,9)"]={["number"]=32,["pos"]={["y"]=9,["x"]=9,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(9,9)",},
["(6,4)"]={["number"]=6,["pos"]={["y"]=4,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,4)",},
["(20,4)"]={["number"]=20,["pos"]={["y"]=4,["x"]=20,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(20,4)",},
["(16,3)"]={["number"]=16,["pos"]={["y"]=3,["x"]=16,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(16,3)",},
["(18,4)"]={["number"]=18,["pos"]={["y"]=4,["x"]=18,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(18,4)",},
["(9,3)"]={["number"]=9,["pos"]={["y"]=3,["x"]=9,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(9,3)",},
["(8,4)"]={["number"]=8,["pos"]={["y"]=4,["x"]=8,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(8,4)",},
["(17,3)"]={["number"]=17,["pos"]={["y"]=3,["x"]=17,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(17,3)",},
["(1,3)"]={["number"]=1,["pos"]={["y"]=3,["x"]=1,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(1,3)",},
["(4,8)"]={["number"]=37,["pos"]={["y"]=8,["x"]=4,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(4,8)",},
},
}
