local text = [[
What. You want some kind of reward? Maybe a pat on the back? Son, even Carl's wife (if he had one) could solve that in five minutes. This is a reasearch facility, not a video game overflowing with achievements.

Anyway, where were we? Yeah. Simulator tutorial (sigh). Take a look at the obstacle course. Just going straigt won't work. If there only was a way to turn when a sensor picks up an obstacle... Oh, before I forget it, you can remove a links by redrawing it. And you can remove components by right clicking them. Now, I'll go smoke a cigarette, if you don't mind.
]]

local function dialog(self, gui, X,Y,W,H)
	X,Y,W,H = X+3,Y+3,W-6,H-6
	love.graphics.setFont(Font.normal[20])
	gui.Label('Congratulations, you did it!', X+5, Y)

	love.graphics.setFont(Font.normal[12])
	gui.core.registerDraw({}, function() love.graphics.printf(text, X+5,Y+52,W-15) end)

	if gui.Button('ok',X+W-75,Y+H-27, 70,22) then
		self.dialog = false
		--Config.hide_dialog[1] = true
	end

	gui.ImageButton(Image.Sensor,         X+60, Y+H-106, 32,32)
	gui.ImageButton(Image.left,           X+40, Y+H- 60, 32,32)
	gui.ImageButton(Image.right,          X+80, Y+H- 60, 32,32)
	gui.Label('Obstacle sensor',          X+122 ,Y+H-106+7)
	gui.Label('Turn instructions (move is any input is on)', X+122 ,Y+H- 60+7)
end
return {dialog = dialog, ["exit"]={["y"]=9,["x"]=13,},
["bot"]={["pos"]={["y"]=6,["x"]=8,},
},
["items"]={["(7,4)"]={["number"]=9,["pos"]={["y"]=4,["x"]=7,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(7,4)",},
["(6,8)"]={["number"]=12,["pos"]={["y"]=8,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,8)",},
["(13,4)"]={["number"]=3,["pos"]={["y"]=4,["x"]=13,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(13,4)",},
["(14,11)"]={["number"]=21,["pos"]={["y"]=11,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,11)",},
["(14,7)"]={["number"]=27,["pos"]={["y"]=7,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,7)",},
["(9,10)"]={["number"]=16,["pos"]={["y"]=10,["x"]=9,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(9,10)",},
["(9,4)"]={["number"]=7,["pos"]={["y"]=4,["x"]=9,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(9,4)",},
["(16,9)"]={["number"]=24,["pos"]={["y"]=9,["x"]=16,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(16,9)",},
["(16,10)"]={["number"]=23,["pos"]={["y"]=10,["x"]=16,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(16,10)",},
["(12,11)"]={["number"]=19,["pos"]={["y"]=11,["x"]=12,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(12,11)",},
["(15,11)"]={["number"]=22,["pos"]={["y"]=11,["x"]=15,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(15,11)",},
["(15,8)"]={["number"]=27,["pos"]={["y"]=8,["x"]=15,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(15,8)",},
["(10,4)"]={["number"]=6,["pos"]={["y"]=4,["x"]=10,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(10,4)",},
["(13,11)"]={["number"]=20,["pos"]={["y"]=11,["x"]=13,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(13,11)",},
["(11,11)"]={["number"]=18,["pos"]={["y"]=11,["x"]=11,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(11,11)",},
["(6,5)"]={["number"]=10,["pos"]={["y"]=5,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,5)",},
["(14,6)"]={["number"]=1,["pos"]={["y"]=6,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,6)",},
["(6,6)"]={["number"]=11,["pos"]={["y"]=6,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,6)",},
["(14,5)"]={["number"]=2,["pos"]={["y"]=5,["x"]=14,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(14,5)",},
["(11,4)"]={["number"]=5,["pos"]={["y"]=4,["x"]=11,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(11,4)",},
["(8,10)"]={["number"]=15,["pos"]={["y"]=10,["x"]=8,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(8,10)",},
["(10,11)"]={["number"]=17,["pos"]={["y"]=11,["x"]=10,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(10,11)",},
["(8,4)"]={["number"]=8,["pos"]={["y"]=4,["x"]=8,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(8,4)",},
["(6,7)"]={["number"]=13,["pos"]={["y"]=7,["x"]=6,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(6,7)",},
["(12,4)"]={["number"]=4,["pos"]={["y"]=4,["x"]=12,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(12,4)",},
["(7,9)"]={["number"]=14,["pos"]={["y"]=9,["x"]=7,},
["color"]={[1]=1,[2]=1,[3]=1,},
["img"]="wall",["key"]="(7,9)",},
},
}
